from quart import Blueprint
from quart_schema import validate_request, validate_response

from foxnouns import settings
from foxnouns.decorators import require_config_key

from . import BaseCallbackResponse, OAuthCallbackRequest

bp = Blueprint("discord_v2", __name__)


@bp.post("/api/v2/auth/discord/callback", host=settings.BASE_DOMAIN)
@require_config_key(keys=[settings.DISCORD_CLIENT_ID, settings.DISCORD_CLIENT_SECRET])
@validate_request(OAuthCallbackRequest)
@validate_response(BaseCallbackResponse)
async def discord_callback(data: OAuthCallbackRequest):
    raise NotImplementedError()
